Bug 11003 - JS error on the cart page
Summary: JS error on the cart page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 9218
  Show dependency treegraph
 
Reported: 2013-10-07 09:41 UTC by Jonathan Druart
Modified: 2015-06-04 23:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11003: intranet cart email broken (1.17 KB, patch)
2013-10-07 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11003: JS error on the cart page (1.14 KB, patch)
2013-10-10 07:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
JS error on the cart page (1.19 KB, patch)
2013-10-10 08:35 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11003: JS error on the cart page (1.24 KB, patch)
2013-10-21 21:00 UTC, Paul Poulain
Details | Diff | Splinter Review
[PASSED QA] Bug 11003: JS error on the cart page (1.27 KB, patch)
2013-10-21 21:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-10-07 09:41:08 UTC
A call to yuiToolbar breaks js code on the cart page.
Comment 1 Jonathan Druart 2013-10-07 09:43:17 UTC Comment hidden (obsolete)
Comment 2 Paola Rossi 2013-10-09 13:43:03 UTC
I think that the situation is modified by bug 9218 "intranet cart email broken for non english templates (edit)". 
After applying 9218, and trying to send the cart, the url is not basket/sendbasket.pl?bib_list=null
So I can't sign off.
Comment 3 Jonathan Druart 2013-10-10 07:46:40 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-10-10 07:47:43 UTC
Paola,
Yes you are right, but the js error still occurs, it should be fixed.
I updated the path.
Comment 5 Paola Rossi 2013-10-10 08:35:16 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2013-10-21 21:00:06 UTC
QA comment :
 * one-liner
 * I've checked that there is no other reference to yuiToolbar() in the code
 * passes koha-qa.pl

passed QA
Comment 7 Paul Poulain 2013-10-21 21:00:47 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2013-10-21 21:12:14 UTC
Created attachment 22184 [details] [review]
[PASSED QA] Bug 11003: JS error on the cart page

A call to yuiToolbar breaks js code on the cart page.

Test plan:
- add some biblio to your cart
- open the cart
- a js error occurs (see it with firebug):
  ReferenceError: yuiToolbar is not defined
- apply the patch
- retry and verify the error does not appear anymore.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Works as described.
Comment 9 Galen Charlton 2013-10-22 01:48:26 UTC
Pushed to master.  Thanks, Jonathan!
Comment 10 Tomás Cohen Arazi 2013-12-05 15:28:27 UTC
This patch has been pushed to 3.12.x, will be in 3.12.8.

Thanks Jonathan!